#############################################################################
#
# XLConnect
# Copyright (C) 2010-2013 Mirai Solutions GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################

#############################################################################
#
# Tests around querying reference coordinates of Excel tables
# 
# Author: Martin Studer, Mirai Solutions GmbH
#
#############################################################################

test.workbook.getReferenceCoordinatesForTable <- function() {
	
	# Create workbooks
	wb.xlsx <- loadWorkbook(rsrc("resources/testWorkbookReadTable.xlsx"), create = FALSE)
  
	# Check that querying the reference coordinates of an Excel table works as expected (*.xlsx)
  res <- getReferenceCoordinatesForTable(wb.xlsx, sheet = "Test", table = "TestTable1")
	checkEquals(res, matrix(c(5, 10, 4, 7), ncol = 2))
}
